import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceRemoveAllocation = createAsyncThunk(
  "PROVINCE_REMOVE_ALLOCATION",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.delete(`province_kill_request/0/`, {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
